<style>
    /*@#include#(taskStyles.css)*/
</style>


<div id="${{{qid}}}_myQuestion">
    <div class="taskDescription">
        <p class="headerStyle" onclick="qGlobalObject('${{{qid}}}', 'gObj').toggleElement('${{{qid}}}_taskDesc')">
            Određivanje transformiranog slova F</p>
        <p class="textStyle" id="${{{qid}}}_taskDesc">
            Zadane su Affine transformacije \(M_1 , M_2 , M_3 \).
            Provedite transformacije nad prikazanim tijelom redoslijedom kojim su zadane.
            Koristi se množenje točke s matricom. Dimenzije slova F su 5 kvadratića po visini i 3 po širini.
        </p>
    </div>
    <hr>

    <p align="center">
        \(
        M_1 =
        \begin{bmatrix}
        @#echo#(*html* $scaleX) &amp; 0 &amp; 0 \\ 0 &amp; @#echo#(*html* $scaleY) &amp; 0 \\ 0 &amp; 0 &amp; 1
        \end{bmatrix} \,
        M_2 =
        \begin{bmatrix}
        \cos (@#echo#(*html* $angle) °) &amp; \sin (@#echo#(*html* $angle)°) &amp; 0 \\ - \sin ( @#echo#(*html* $angle)
        °)
        &amp; \cos ( @#echo#(*html* $angle) °) &amp; 0 \\ 0 &amp; 0 &amp; 1
        \end{bmatrix} \,
        M_3 =
        \begin{bmatrix} 1 &amp; 0 &amp; 0 \\ 0 &amp; 1 &amp; 0 \\ @#echo#(*html* $translateX) &amp; @#echo#(*html*
        $translateY) &amp; 1
        \end{bmatrix}
        \)
    </p>


    <div align="center">
        <canvas class="canStyle" id="${{{qid}}}_linOp" width="800" height="700" tabindex="1"></canvas>
    </div>
    <hr>
    <div id="${{{qid}}}_htu" class="taskHTU">
        <p class="headerStyle" onclick="qGlobalObject('${{{qid}}}', 'gObj').toggleElement('${{{qid}}}_htuDesc')">
            Upute</p>
        <div id="${{{qid}}}_htuDesc">
            <p class="headerStyle">Translacija</p>
            <p class="textStyle">
                Translaciju tijela možete obaviti tipkovnicom ili pomoću miša.
                Strelice gore, dolje, lijevo i desno pomiču objekt za po jedan kvadratić u odabranom smjeru.
                Mišem je dovoljno kliknuti bilo gdje na objekt i dok je tipka pritisnuta pomicati objekt sve dok ne dođe
                na
                željenu
                poziciju.
            </p>
            <p class="headerStyle">Skaliranje</p>
            <p class="textStyle">
                Skaliranje tijela možete obaviti uz pomoć tipkovnice ili miša. <br>
                Na tipkovnici broj 1 povećava tijelo po jedan kvadratić u vodoravnom smjeru, broj 2 ga smanjuje. <br>
                Na tipkovnici broj 3 povećava tijelo po jedan kvadratić u vertikalnom smjeru, broj 4 ga smanjuje. <br>
                Pritiskom lijeve tipke miša na strelicu iznad objekta i povlačenjem možete također skalirati
                tijelo.

            </p>
            <p class="headerStyle">Rotiranje</p>
            <p class="textStyle">
                Tijelo se tipkovnicom može rotirati po 45 stupnjeva u matematički pozitivnom ili negativnom smjeru
                tipkama
                "+" i "-".
                <br>
                Pritiskom lijeve tipke miša na kružić iznad objekta i njegovim povlačenjem ostvaruje se rotacija
                objekta.
                Rotacija objekta obavlja se u koracima od 45 stupnjeva. <br>
            </p>
        </div>
    </div>
</div>




